package cz.uhk.iot.gui.panel;

import cz.uhk.iot.gui.event.LightSwitchListener;
import cz.uhk.iot.service.SerialCommunicationService;

import javax.swing.*;
import java.awt.*;

public class LightSwitchPanel extends JPanel {

    private JButton lightOnButton;
    private JButton lightOffButton;

    public LightSwitchPanel(SerialCommunicationService serialCommunicationService, ButtonGroup typeGroup) {

        FlowLayout flowLayout = new FlowLayout();
        setLayout(flowLayout);

        LightSwitchListener lightSwitchListener = new LightSwitchListener(serialCommunicationService, typeGroup);

        lightOnButton = new JButton("Zapni světlo");
        lightOnButton.setActionCommand("1");
        add(lightOnButton);
        lightOnButton.addActionListener(lightSwitchListener);

        lightOffButton = new JButton("Vypni světlo");
        lightOffButton.setActionCommand("0");
        add(lightOffButton);
        lightOffButton.addActionListener(lightSwitchListener);

    }
}
