package cz.uhk.iot.gui.panel;

import org.springframework.stereotype.Component;

import javax.swing.*;
import java.awt.*;

@Component
public class ShowDataPanel extends JPanel {

    private JLabel bluetoothTemp;
    private JLabel zigBeeTemp;

    public ShowDataPanel() {
        bluetoothTemp = new JLabel("0.0 °C");
        bluetoothTemp.setAlignmentX(CENTER_ALIGNMENT);
        zigBeeTemp = new JLabel("0.0 °C");
        zigBeeTemp.setAlignmentX(CENTER_ALIGNMENT);
        bluetoothTemp.setFont(new Font("San-Serif", Font.PLAIN, 16));
        zigBeeTemp.setFont(new Font("San-Serif", Font.PLAIN, 16));

        BoxLayout boxLayout = new BoxLayout(this, BoxLayout.Y_AXIS);
        setLayout(boxLayout);

        add(bluetoothTemp);
        add(zigBeeTemp);
    }

    public void setBluetoothTemp(String temperature) {
        bluetoothTemp.setText("BT: " + temperature + " °C");
    }

    public void setZigBeeTemp(String temperature) {
        zigBeeTemp.setText("ZB: " + temperature + " °C");
    }
}