package cz.uhk.iot.gui.event;

import cz.uhk.iot.service.SerialCommunicationService;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class LightSwitchListener implements ActionListener {

    private SerialCommunicationService serialCommunicationService;
    private ButtonGroup typeGroup;

    public LightSwitchListener(SerialCommunicationService serialCommunicationService, ButtonGroup typeGroup) {
        this.serialCommunicationService = serialCommunicationService;
        this.typeGroup = typeGroup;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        String btnCommand = e.getActionCommand();
        String type = typeGroup.getSelection().getActionCommand();
        serialCommunicationService.writeData(type + btnCommand);
    }
}
