package cz.uhk.iot.gui.modal;


import javax.swing.*;
import java.awt.*;

public class RadiusChangePassDialog extends JDialog {

    private JTextField data;
    private JLabel label;

    public RadiusChangePassDialog() {
        setTitle("Změna hesla RADIUS serveru");
        setModal(true);
        setSize(600, 150);
        Container dialogContainer = getContentPane();
        dialogContainer.setLayout(new BorderLayout());
        label = new JLabel();
        label.setHorizontalAlignment(JLabel.CENTER);
        dialogContainer.add(label, BorderLayout.NORTH);
        data = new JTextField();
        data.setHorizontalAlignment(JLabel.CENTER);
        data.setEditable(false);
        data.setColumns(64);
        dialogContainer.add(data, BorderLayout.CENTER);
        JPanel panel1 = new JPanel();
        panel1.setLayout(new FlowLayout());
        JButton okButton = new JButton("Rozumím");
        okButton.addActionListener(e -> {
            setVisible(false);
            data.setText("");
        });
        panel1.add(okButton);
        dialogContainer.add(panel1, BorderLayout.SOUTH);
    }

    public void setHash(String hash) {
        data.setText(hash);
    }

    public void setUserToLabel(String user) {
        label.setText(String.format("Prosím aktualizujte následující řetězec znaků v RADIUS serveru pro uživatele '%s'", user));
    }
}
