package cz.uhk.iot.gui.panel;

import javax.swing.*;
import java.awt.*;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

public class LogPanel extends JPanel {

    private JTextArea textArea;

    public LogPanel() {
        FlowLayout flowLayout = new FlowLayout();
        setLayout(flowLayout);
        setBackground(Color.gray);

        textArea = new JTextArea(20, 35);
        textArea.setEditable(false);
        textArea.setForeground(Color.white);
        textArea.setBackground(Color.black);
        add(textArea);


        JScrollPane scroll = new JScrollPane(textArea);
        scroll.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        add(scroll);
    }

    public void addLog(String line) {
        String currentText = textArea.getText();
        StringBuilder stringBuilder = new StringBuilder();

        DateFormat dateFormat = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss");
        String strDate = dateFormat.format(new Date());
        stringBuilder.append(strDate).append(" ");
        stringBuilder.append(line);
        stringBuilder.append(currentText);

        textArea.setText(stringBuilder.toString());
    }
}
