package cz.uhk.iot.gui.panel;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;

public class NodeSwitchPanel extends JPanel {

    private ButtonGroup typeGroup;

    public NodeSwitchPanel() {
        FlowLayout flowLayout = new FlowLayout();

        setLayout(flowLayout);

        JRadioButton btButton = new JRadioButton("Bluetooth");
        btButton.setMnemonic(KeyEvent.VK_B);
        btButton.setActionCommand("b");
        btButton.setSelected(true);

        JRadioButton zbButton = new JRadioButton("Zigbee");
        zbButton.setMnemonic(KeyEvent.VK_Z);
        zbButton.setActionCommand("x");

        typeGroup = new ButtonGroup();
        typeGroup.add(btButton);
        typeGroup.add(zbButton);

        add(btButton);
        add(zbButton);
    }

    public ButtonGroup getTypeGroup() {
        return typeGroup;
    }
}
