package cz.uhk.iot.model;

public class AuthenticationRequest {

    private String username;
    private String password;
    private String nodeType;
    private String crcNum;

    public AuthenticationRequest(String input) {
        String[] credentials = input.split("_");
        this.nodeType = credentials[0];
        this.username = credentials[2];
        this.password = credentials[3];
        this.crcNum = credentials[4];
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getCrcNum() {
        return crcNum;
    }

    public void setCrcNum(String crcNum) {
        this.crcNum = crcNum;
    }
}
